BB(6)

NAME
bb - an ASCII-art demo

SYNOPSIS
bb [options]

DESCRIPTION
bb is a high quality audio-visual demonstration for your text terminal.

OPTIONS
A summary of options are included below. For a complete description type bb -help.

-help
    Show summary of options.

-loop
    Play demo in infinite loop.

-driver
    Select driver. Available drivers: linux, slang, X11, stdout, stderr.

-kbddriver
    Select keyboard driver. Available drivers: slang, X11, stdin.

-mousedriver
    Select mouse driver. Available drivers: X11, gpm, dos.

-width
    Set width.

-height
    Set height.

-minwidth
    Set minimum width.

-minheight
    Set minimum height.

-maxwidth
    Set maximum width.

-maxheight
    Set maximum height.

-recwidth
    Set recommended width.

-recheight
    Set recommended height.

-dim
    Enable usage of dim (half bright) attribute.

-bold
    Enable usage of bold (double bright) attribute.

-reverse
    Enable usage of reverse attribute.

-normal
    Enable usage of normal attribute.

-boldfont
    Enable usage of boldfont attribute.

-no<attr>
    Disable attribute (i.e -nobold).

-extended
    Use all 256 characters.

-eight
    Use eight bit ASCII.

-font <font>
    Select font. This option is used on hardware where aalib is unable to determine the current font. Available fonts: vga8, vga9, mda14, vga14, X8x13, X8x16, X8x13bold, vgagl8, line.

-inverse
    Enable inverse rendering.

-noinverse
    Disable inverse rendering.

-bright <val>
    Set brightness (0-255).

-contrast <val>
    Set contrast (0-255).

-gamma <val>
    Set gamma correction value (0-1).

-nodither
    Disable dithering.

-floyd_steinberg
    Floyd-Steinberg dithering.

-error_distribution
    Error distribution dithering.

-random <val>
    Set random dithering value (0-inf).

-dimmul <val>
    Multiply factor for dim attribute (5.3).

-boldmul <val>
    Multiply factor for bold attribute (2.7).

BUGS
Please report any bugs you find to Jan Hubicka <hubicka@freesoft.cz>.

LICENCE
bb is covered by the GNU General Public License (GPL).

SEE ALSO
aafire(1), aainfo(1), aasavefont(1), aatest(1), aview(1), asciiview(1), aaflip(1), aa3d(1), xaos(6), aatv(1).

AUTHOR
Jan Hubicka <hubicka@freesoft.cz>

This manual page was written by Michael Bramer <grisu@debian.org>, for the Debian GNU/Linux system (but may be used by others).